Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.game.dke
Class DelayAction

    java.lang.Object
      gecco.server.core.Action
          gecco.game.dke.DelayAction

Direct Known Subclasses:
  DisturbedDelayAction, LockDuringIndirectFireDelayAction, ReloadDelayAction, UnderIndirectFireDelayAction

public abstract class DelayAction
extends Action

Constructor Summary
`DelayAction()`
`DelayAction(int unitHandle, double delay)` Use these constructor if you just want to throw the delay into the queue
`DelayAction(int unitHandle, int argUnitHandle, double delay)`

Method Summary
`void` | `initiate(int _actionHandle, int _unitHandle, int _argUnitHandle, double delay)`

Methods inherited from class gecco.server.core.Action
`canSeePosition, checkPoint, getActionDefinition, getActionHandle, getArgumentUnit, getArgumentX, getArgumentY, getAutomatonState, getCooperativeUnits, getId, getNewActionHandle, getUnit, getUnitHandle, initiate, initiate, initiate, initiate, isInstantaneous, isOutsideMap, prepareAbortion, sendEventToAutomaton, sendEventToUnit, setActionDefinition, setArgumentUnit, setArgumentX, setArgumentY, setInstantaneous`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelayAction

    public DelayAction()

### DelayAction

    public DelayAction(int unitHandle,
                       double delay)

  Use these constructor if you just want to throw the delay into the queue

Parameters:
  `delay` - a `double` value

### DelayAction

    public DelayAction(int unitHandle,
                       int argUnitHandle,
                       double delay)

Method Detail

### initiate

    public void initiate(int _actionHandle,
                         int _unitHandle,
                         int _argUnitHandle,
                         double delay)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD